## amp 0.6

=== amp/descriptor/Makefile ===
cutoffs.mod:
	gfortran -c cutoffs.f90
	cp cutoffs.mod ..

=== debian/changelog ===
amp (0.6-3) unstable; urgency=medium

  * In this revision 'tools/' are shipped under /usr/bin/.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 27 Feb 2018 12:22:45 -0500

amp (0.6-2) unstable; urgency=medium

  * `TypeError: Can't convert 'bytes' object to str implicitly` error is
    caught and fixed.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 20 Sep 2017 14:50:52 -0400

amp (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #790803)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 29 Jul 2017 21:12:31 -0400

=== debian/control ===
Source: amp
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               gfortran,
               python3-all-dev,
               python3-ase (>= 3.9.0~),
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-scipy,
               python3-setuptools,
               python3-pexpect,
               python3-zmq,
               openssh-server
X-Python3-Version: >= 3.5
Standards-Version: 4.0.0
Homepage: https://bitbucket.org/andrewpeterson/amp
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/amp.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/amp.git/

Package: python3-amp
Architecture: any
Depends: python3-ase (>= 3.14.0~),
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-matplotlib
Breaks: ${python3:Breaks}
Description: Atomistic Machine-learning Package (python 3)
 Amp is an open-source package designed to easily bring machine-learning to
 atomistic calculations. This project is being developed at Brown University in
 the School of Engineering, primarily by Andrew Peterson and Alireza Khorshidi,
 and is released under the GNU General Public License. Amp allows for the
 modular representation of the potential energy surface, allowing the user to
 specify or create descriptor and regression methods.
 .
 Amp is designed to integrate closely with the Atomic Simulation Environment
 (ASE). As such, the interface is in pure python, although several
 compute-heavy parts of the underlying code also have fortran versions to
 accelerate the calculations. The close integration with ASE means that any
 calculator that works with ASE ─ including EMT, GPAW, DACAPO, VASP, NWChem,
 and Gaussian ─ can easily be used as the parent method.
 .
 This package provides the python 3 modules.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=amp
export DEB_FFLAGS_MAINT_APPEND=-fPIC
export DEB_LDFLAGS_MAINT_APPEND=-shared

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

GIT = 'https://bitbucket.org/andrewpeterson/amp'

# The full changelog version number, used for the orig.tar.gz
VER=$(shell dpkg-parsechangelog -ldebian/changelog -SVersion | cut -d- -f1)

export PYBUILD_DISABLE_python3=test
export PYBUILD_BEFORE_BUILD=cd amp; make python3.5; make python3.6
export PYBUILD_AFTER_INSTALL=cp -r '{dir}/tests' '{destdir}/{install_dir}/amp'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	dh_numpy3
	dh_fixperms

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} /usr/bin/nosetests3 tests" \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf amp.egg-info/
	find . -name "*.json" -delete
	find . -name "*-train-log.txt" -delete
	find . -name "*.pyc" -delete
	find . -name "*.o" -delete
	find . -name "*.mod" -delete
	find . -name "*.so" -delete

get-orig-source:
	rm -rf amp-$(VER)
	git clone $(GIT) amp-$(VER)
	cd amp-$(VER)
	git archive --format=tar --prefix=amp-$(VER)/ HEAD > amp_$(VER).orig.tar
	gzip --best amp_$(VER).orig.tar
	mv amp_$(VER).orig.tar.gz ..
	rm -rf amp-$(VER)

## amp 0.6.1

=== amp/Makefile ===
python2:
	+$(MAKE) -C model
	+$(MAKE) -C descriptor
	f2py -c -m fmodules model.f90 descriptor/cutoffs.f90 descriptor/gaussian.f90 descriptor/zernike.f90 model/neuralnetwork.f90

python3:
	+$(MAKE) -C model
	+$(MAKE) -C descriptor
	f2py3 -c -m fmodules model.f90 descriptor/cutoffs.f90 descriptor/gaussian.f90 descriptor/zernike.f90 model/neuralnetwork.f90

AMPDIR:=$(shell pwd)

py2tests:
	rm -fr /tmp/py2_amptests
	mkdir -p /tmp/py2_amptests
	cd /tmp/py2_amptests && nosetests $(AMPDIR)/..

py3tests:
	rm -fr /tmp/py3_amptests
	mkdir -p /tmp/py3_amptests
	cd /tmp/py3_amptests && nosetests3 $(AMPDIR)/..

=== amp/model/Makefile ===
neuralnetwork.mod:
	gfortran -c neuralnetwork.f90
	cp neuralnetwork.mod ..

=== debian/changelog ===
amp (0.6.1-1build6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:20:41 +0000

amp (0.6.1-1build5) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 08:25:51 +0000

amp (0.6.1-1build4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:25:34 +0100

amp (0.6.1-1build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:08:41 +0100

amp (0.6.1-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:24:55 +0100

amp (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2019 12:33:18 +0000

amp (0.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Muammar El Khatib ]
  * New upstream release.
  * Refresh patches.
  * Move Vcs-* fields to salsa.d.o.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 11.
  * Rewrite the amp Makefile's patch to support building for arbitrary
    python versions.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Oct 2018 16:05:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 VER=$(shell dpkg-parsechangelog -ldebian/changelog -SVersion | cut -d- -f1)
 
 export PYBUILD_DISABLE_python3=test
-export PYBUILD_BEFORE_BUILD=cd amp; make python3.5; make python3.6
+export PYBUILD_BEFORE_BUILD=make -C amp $(shell py3versions -s)
 export PYBUILD_AFTER_INSTALL=cp -r '{dir}/tests' '{destdir}/{install_dir}/amp'
 
 %:

## amp 1.0.0

=== DESCRIPTION ===
Package: amp
Type: Package
Title: Statistical Test for the Multivariate Point Null Hypotheses
Version: 1.0.0
Authors@R: 
    c(person(given = "Adam",
             family = "Elder",
             role = c("aut", "cre"),
             email = "shmelder@gmail.com",
             comment = c(ORCID = "0000-0003-1665-2639")),
      person(given = "Marco", 
             family = "Carone",
             role = "ths",
             comment = c(ORCID = "0000-0003-2106-0953")),
      person(given = "Alex", 
             family = "Luedtke",
             role = "ths", 
             comment = c(ORCID = "0000-0002-9936-3236")))
Description: A testing framework for testing the multivariate point null hypothesis. 
    A testing framework described in Elder et al. (2022) <arXiv:2203.01897> to test the multivariate point null hypothesis.  After the user selects a parameter of interest and defines the assumed data generating mechanism, this information should be encoded in functions for the parameter estimator and its corresponding influence curve. Some parameter and data generating mechanism combinations have codings in this package, and are explained in detail in the article.
License: GPL (>= 3)
Encoding: UTF-8
BugReports: https://github.com/adam-s-elder/amp/issues
Imports: MASS, stats, SuperLearner, glmnet, dplyr, rlang, ggplot2,
        tidyr
RoxygenNote: 7.1.2
Suggests: rmarkdown, knitr, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-03-25 16:00:34 UTC; adamelder
Author: Adam Elder [aut, cre] (<https://orcid.org/0000-0003-1665-2639>),
  Marco Carone [ths] (<https://orcid.org/0000-0003-2106-0953>),
  Alex Luedtke [ths] (<https://orcid.org/0000-0002-9936-3236>)
Maintainer: Adam Elder <shmelder@gmail.com>
Repository: CRAN
Date/Publication: 2022-04-06 07:32:30 UTC
